summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorNikita 'CryptoManiac' Sivakov2015-11-18 13:17:26 +1000
committerNikita 'CryptoManiac' Sivakov2015-11-18 13:17:26 +1000
commitf2313acabe3588eb4d893ae1de10c717f37af3db (patch)
tree42e37900f92a3a806776bf1381dc3ee6a754a06f
downloadaur-f2313acabe3588eb4d893ae1de10c717f37af3db.tar.gz
transferred from aur3
-rw-r--r--.SRCINFO28
-rw-r--r--PKGBUILD83
-rw-r--r--eGTouchD.conf1
-rw-r--r--eGTouchD.service9
-rw-r--r--eGalaxConfig.desktop9
-rw-r--r--xf86-input-egalax.install14
6 files changed, 144 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f9f8bdf81cb
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,28 @@
+pkgbase = xf86-input-egalax
+ pkgdesc = Touchscreen driver for eGalax (eeti) devices
+ pkgver = 2.5.4330
+ pkgrel = 3
+ url = http://home.eeti.com.tw/drivers_Linux.html
+ install = xf86-input-egalax.install
+ arch = i686
+ arch = x86_64
+ groups = xorg-input-drivers
+ license = custom:EULA
+ depends = linux
+ depends = libpng12
+ depends = gksu
+ depends = alsa-lib
+ depends = hicolor-icon-theme
+ depends = xorg-server
+ backup = etc/eGTouchL.ini
+ source = eGTouch_v2.5.4330.L-x.zip::http://home.eeti.com.tw/touch_driver/Linux/20141009/eGTouch_v2.5.4330.L-x.zip
+ source = eGalaxConfig.desktop
+ source = eGTouchD.service
+ source = eGTouchD.conf
+ md5sums = F036A1284CEFC9394B30E4E0C960D122
+ md5sums = 0ee99c83fd74bdb8357427eae9b2dc7d
+ md5sums = a52c4c1682ee196a6bbffe4768154a92
+ md5sums = c9284fbcf2bdaec8d3eea21f6b7be34d
+
+pkgname = xf86-input-egalax
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9fa336f753a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,83 @@
+# Maintainer: Nikita Sivakov <cryptomaniac.512@gmail.com>
+# Contributor: Nikita Sivakov <cryptomaniac.512@gmail.com>
+
+pkgname=xf86-input-egalax
+pkgver=2.5.4330
+pkgrel=3
+_reldate=20141009
+pkgdesc="Touchscreen driver for eGalax (eeti) devices"
+arch=('i686'
+ 'x86_64')
+url="http://home.eeti.com.tw/drivers_Linux.html"
+license=('custom:EULA')
+groups=('xorg-input-drivers')
+depends=('linux'
+ 'libpng12'
+ 'gksu'
+ 'alsa-lib'
+ 'hicolor-icon-theme'
+ 'xorg-server')
+backup=(etc/eGTouchL.ini)
+install='xf86-input-egalax.install'
+#http://home.eeti.com.tw/touch_driver/Linux/20141009/eGTouch_v2.5.4330.L-x.zip
+source=("eGTouch_v${pkgver}.L-x.zip::http://home.eeti.com.tw/touch_driver/Linux/${_reldate}/eGTouch_v${pkgver}.L-x.zip"
+ "eGalaxConfig.desktop"
+ "eGTouchD.service"
+ "eGTouchD.conf")
+md5sums=('F036A1284CEFC9394B30E4E0C960D122'
+ '0ee99c83fd74bdb8357427eae9b2dc7d'
+ 'a52c4c1682ee196a6bbffe4768154a92'
+ 'c9284fbcf2bdaec8d3eea21f6b7be34d')
+
+_architect="32"
+[ "$CARCH" = "x86_64" ] && _architect="64"
+
+package() {
+ if [ -d /etc/modules-load.d ]; then
+ _modules="modules-load.d"
+ else
+ _modules="modprobe.d"
+ fi
+
+ mkdir -p \
+ "$pkgdir/etc/X11/xorg.conf.d" \
+ "$pkgdir/etc/$_modules" \
+ "$pkgdir/usr/lib/systemd/system/" \
+ "$pkgdir/usr/share/eGTouch/sample" \
+ "$pkgdir/usr/share/applications" \
+ "$pkgdir/usr/share/icons/hicolor/scalable/apps" \
+ "$pkgdir/usr/share/licenses/$pkgname" \
+ "$pkgdir/usr/bin" || return 1
+
+ cd $srcdir/eGTouch_v${pkgver}.L-x/eGTouch${_architect}/eGTouch${_architect}withX
+
+ install -D -m755 eGTouchU $pkgdir/usr/bin
+ install -D -m755 eGTouchD $pkgdir/usr/bin
+ install -D -m755 eCalib $pkgdir/usr/bin
+ install -D -m755 eGTouchL.ini $pkgdir/etc
+
+ cd ../../Rule
+
+ install -D -m644 52-egalax-virtual.conf $pkgdir/etc/X11/xorg.conf.d
+ install -D -m644 eGTouchU.png $pkgdir/usr/share/icons/hicolor/scalable/apps
+
+ install -D -m755 serio_raw.sh $pkgdir/usr/share/eGTouch/sample
+
+ cd ../Patent_Declaration
+
+ install -D -m644 eula.pdf $pkgdir/usr/share/licenses/$pkgname
+ install -D -m644 "EETI_Declaration_and_Disclaimer.pdf" $pkgdir/usr/share/licenses/$pkgname
+
+ cd ../Guide
+
+# install -D -m644 "EETI_eGTouch_Utility_Guide_for Linux_v1.03.pdf" $pkgdir/usr/share/eGTouch
+# install -D -m644 "EETI_eGTouch_Linux_Programming_Guide_v2.5f.pdf" $pkgdir/usr/share/eGTouch
+
+ install -D -m644 GetEvent.c $pkgdir/usr/share/eGTouch/sample
+
+ cd ../../../
+
+ install -D -m755 eGalaxConfig.desktop $pkgdir/usr/share/applications
+ install -D -m755 eGTouchD.service $pkgdir/usr/lib/systemd/system
+ install -D -m755 eGTouchD.conf $pkgdir/etc/$_modules
+}
diff --git a/eGTouchD.conf b/eGTouchD.conf
new file mode 100644
index 00000000000..8bb05c970aa
--- /dev/null
+++ b/eGTouchD.conf
@@ -0,0 +1 @@
+hid-multitouch \ No newline at end of file
diff --git a/eGTouchD.service b/eGTouchD.service
new file mode 100644
index 00000000000..4cdcb4e60ab
--- /dev/null
+++ b/eGTouchD.service
@@ -0,0 +1,9 @@
+[Unit]
+Description=eGalax touchscreen device driver
+
+[Service]
+ExecStart=/usr/bin/eGTouchD
+Type=forking
+
+[Install]
+WantedBy=graphical.target
diff --git a/eGalaxConfig.desktop b/eGalaxConfig.desktop
new file mode 100644
index 00000000000..0a2d968d618
--- /dev/null
+++ b/eGalaxConfig.desktop
@@ -0,0 +1,9 @@
+
+[Desktop Entry]
+Name=eGalax Config Utility
+Comment=eGalax Touch Controller Configuration
+Exec=gksu eGTouchU
+Icon=eGTouchU
+Terminal=false
+Type=Application
+Categories=GNOME;GTK;Utility;System;
diff --git a/xf86-input-egalax.install b/xf86-input-egalax.install
new file mode 100644
index 00000000000..a5d82892c88
--- /dev/null
+++ b/xf86-input-egalax.install
@@ -0,0 +1,14 @@
+_install_notes() {
+ echo
+ echo "(I) To start the eGTouch driver on boot:"
+ echo " # systemctl enable eGTouchD.service"
+ echo
+}
+
+post_install() {
+ _install_notes
+}
+
+post_upgrade() {
+ _install_notes
+}